Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class RunnableQueue.LockableLink

    java.lang.Object
      org.apache.batik.util.DoublyLinkedList.Node
          org.apache.batik.util.RunnableQueue.Link
              org.apache.batik.util.RunnableQueue.LockableLink

Enclosing class:
  RunnableQueue

protected static class RunnableQueue.LockableLink
extends RunnableQueue.Link

To store a Runnable with an object waiting for him to be executed.

Field Summary
`protected boolean` | `locked` Whether this link is actually locked.

Fields inherited from class org.apache.batik.util.RunnableQueue.Link
`runnable`

Constructor Summary
`RunnableQueue.LockableLink(java.lang.Runnable r)` Creates a new link.

Method Summary
`boolean` | `isLocked()` Whether the link is actually locked.
`void` | `lock()` Locks this link.
`void` | `unlock()` unlocks this link.

Methods inherited from class org.apache.batik.util.DoublyLinkedList.Node
`getNext, getPrev, insertBefore, setNext, setPrev, unlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locked

    protected boolean locked

  Whether this link is actually locked.

Constructor Detail

### RunnableQueue.LockableLink

    public RunnableQueue.LockableLink(java.lang.Runnable r)

  Creates a new link.

Method Detail

### isLocked

    public boolean isLocked()

  Whether the link is actually locked.

### lock

    public void lock()
              throws java.lang.InterruptedException

  Locks this link.

  Throws:
    `java.lang.InterruptedException`

### unlock

    public void unlock()
                throws java.lang.InterruptedException

  unlocks this link.

  Overrides:
    `unlock` in class `RunnableQueue.Link`
  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.